Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: martin rudalics <[email-masked]>
Date: Thu, 24 May 2018 09:19:54 +0200

> Ok, I have a guess. I can reproduce it by setting scroll-margin to
 > something like 5 and clicking on the last line. The window scrolls so that
 > the point is visible 5 lines above the bottom of the window. Even if the
 > scroll-margin is 0, I can reproduce it by clicking on the last line if it
 > is partially visible (as it may be with frame-resize-pixelwise set). I do
 > not know what makes child-frames without modelines more susceptible to
 > this, but it at least looks like it's doing the same thing--scrolling the
 > window to where it thinks it needs to be scrolled in order for the point to
 > be fully visible.

So does 'mouse-set-point' get executed?  If it does, then on which
frame?  Note that if I understand Aaron correctly, the "scroll"
happens on the parent frame and not on the child frame.

martin